{% from "macros.html" import error_alert %}
{{ error_alert() }}
<div class="row-fluid">
  <form id="profile-form" class="form-horizontal span10" action="{{ url_for('user_profile') }}{{ g.user.id }}" method="POST">
    <input type="hidden" name="_method" value="PUT"/>
    {{ form.csrf_token }}
    <fieldset>
      <legend>Update your profile</legend>
      <div class="control-group">
        <label class="control-label">Name</label>

        <div class="controls">
          <input type="text" class="span6 readonly" value="{{ user.name }}" readonly>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label">Email Address</label>

        <div class="controls">
          <input type="text" class="span6" name="email" value="{{ user.email }}">
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" autocomplete="off" for="current_password">Current Password</label>

        <div class="controls">
          <input name="current_password" type="password" maxlength="150" class="span6"/>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="password">New Password</label>

        <div class="controls">
          <input id="new-password" data-test-url="{{ url_for('test_password') }}" name="new_password"
                 type="password" maxlength="150" autocomplete="off" class="span6"/>

          <p class="help-block">
            <span>Password Strength: </span>
            <span class="password-strength label">Empty</span>
          </p>
        </div>
      </div>
      <div class="control-group">
        <label class="control-label" for="re_password">Confirm New Password</label>

        <div class="controls">
          <input name="re_password" type="password" maxlength="150" autocomplete="off" class="span6"/>
        </div>
      </div>
      <div class="form-actions">
        <button type="submit" class="btn btn-primary submit-profile" data-loading-text="Updating...">Update</button>
        <a class="btn btn-default" id="profile-reset" href="{{ url_for('index') }}">Cancel</a>
      </div>
    </fieldset>
  </form>
</div>